Installing apps to the uk iphone

Discussion in 'Jailbreaks and iOS Hacks' started by larrymassive, Nov 10, 2007.

  1. larrymassive macrumors newbie

    Joined:
    Nov 7, 2007
    #1
    hi there

    Is it possible to install 3rd party apps to the uk iphone yet? Has anyone tried it?
     
  2. Yixian macrumors 65816

    Joined:
    Jun 2, 2007
    Location:
    Europe
  3. projectle macrumors 6502

    Joined:
    Oct 11, 2005
    #3
    Yes, however at this point you need to downgrade to 1.1.1, jailbreak it, install Installer.app, use it to install OctoPrep, upgrade to 1.1.2 and then use iphuc to put Installer.app back onto the iphone.

    So, if you really want to, you can and there are guides posted on TUAW that will teach you to do it. However, as I see it it is much more important for me to be able to use my phone as a phone than to risk something screwy happening through downgrading and then re-upgrading.
     
  4. mpuck972 macrumors 6502

    mpuck972

    Joined:
    Aug 31, 2007
    #4
    I can see why your afraid of adding 3rd party apps, because not one single phone has been damaged doing it. Now unlocking, thats a whole different issue.

    To the OP, if you have the time, and think you are smart enough to follow directions, go for it. Don't let the fanboys scare you away from customizing your phone. Having 3rd party apps is the only reason I havent sold this phone and gone back to a phone that lets you do it anyways. Without the extra apps, this phone has less features that a $99 pay as you go phone available at Wal Mart.
     
  5. projectle macrumors 6502

    Joined:
    Oct 11, 2005
    #5
    I had no issues adding 3rd party applications in the past, however doing such things as downgrading to add a patch that I have no idea what it does only to upgrade and hope that it will not cause any issues does scare me a little.

    I do not believe that the Applications themselves will cause an issue, but the whole idea of downgrading the OS throws all kinds of possible problems into everything.

    My fear (probably irrational) is that Apple will come out with an update to EFI or their equivalent system used on the iPhone that will prevent it from running on the older versions of code.

    Sounds like that isn't the case this time around, but I am still a little weary.
     
  6. wrboyce macrumors 6502

    Joined:
    Oct 30, 2007
    #6
    I hear that the 1.1.1 firmware doesn't like O2 SIMs, and uk iphones can't be downgraded.. Don't know how reliable this is though.
     
  7. aygie macrumors regular

    Joined:
    Oct 27, 2007
    #7
    UK has different bootloaders. Wait for the unlocks to come out, DONT downgrade.
     
  8. larrymassive thread starter macrumors newbie

    Joined:
    Nov 7, 2007
    #8
    what is the best guide source for the app part of it?
     
  9. Yixian macrumors 65816

    Joined:
    Jun 2, 2007
    Location:
    Europe
    #9
    Hopefully we'll get to the "one click install" for jailbreak and appsnapp that was available for 1.1.1 fairly quickly.

    I need ApolloIM god DAMN it!
     

Share This Page